#
# spec file for package procstatd (Version 1.3.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         procstatd
Summary:      Proc monitoring daemon for Beowulf Clusters
Version:      1.3.4
Release:      91
Requires: perl_tk
Group: Applications/Clustering
Copyright: GPL
Source: procstatd-%{version}.tgz
Patch:  procstatd-%{version}.dif
Buildroot: /tmp/%{name}-%{version}-root

%description
procstatd is yet another /proc monitoring daemon designed to support
various sorts of beowulfery.  It is typically run under inetd and
tcp wrappers for security.  It is very lightweight -- it tries to be
as efficient as possible in parsing critical statistics from /proc
and packing them into a minimal human-readable packet.  The enclosed
perl-tk application "watchman" is just one way of monitoring the
output of procstatd.

Authors:
--------
    Robert G. Brown <rgb@phy.duke.edu>

SuSE series: beo

%prep
%setup -q 
%patch

%build
make clean
make

%install
make PREFIX=$RPM_BUILD_ROOT/usr install
cd watchman
make PREFIX=$RPM_BUILD_ROOT/usr install

%files 
%doc CHANGES COPYING FAQ README TODO watchman/README.watchman debug_lm-sensors
# The daemon
%attr(755,root,root) /usr/sbin/procstatd
# watchman
%attr(755,root,root) /usr/bin/watchman
# The man pages
%attr(644,root,root) /usr/share/man/man8/procstatd.8.gz
%attr(644,root,root) /usr/share/man/man1/watchman.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n procstatd
* Tue Mar 13 2001 - nashif@suse.de
- Update to version 1.3.4
- Changed package name: procstat -> procstatd (similar to package name
  used by maintainer)
* Sun May 14 2000 - nashif@suse.de
- Initial Release (1.3.3)
